Package ghidra.program.model.data

# Enum Class RenderUnicodeSettingsDefinition.RENDER_ENUM

java.lang.Object
java.lang.Enum<RenderUnicodeSettingsDefinition.RENDER_ENUM>
ghidra.program.model.data.RenderUnicodeSettingsDefinition.RENDER_ENUM

All Implemented Interfaces:
  `Serializable`, `Comparable<RenderUnicodeSettingsDefinition.RENDER_ENUM>`, `Constable`

Enclosing class:
  RenderUnicodeSettingsDefinition

public static enum RenderUnicodeSettingsDefinition.RENDER_ENUM extends Enum<RenderUnicodeSettingsDefinition.RENDER_ENUM>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALL`
  `BYTE_SEQ`
  `ESC_SEQ`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`
  `static RenderUnicodeSettingsDefinition.RENDER_ENUM`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static RenderUnicodeSettingsDefinition.RENDER_ENUM[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ALL

    public static final RenderUnicodeSettingsDefinition.RENDER_ENUM ALL

  - ### BYTE_SEQ

    public static final RenderUnicodeSettingsDefinition.RENDER_ENUM BYTE_SEQ

  - ### ESC_SEQ

    public static final RenderUnicodeSettingsDefinition.RENDER_ENUM ESC_SEQ

- ## Method Details

  - ### values

    public static RenderUnicodeSettingsDefinition.RENDER_ENUM[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static RenderUnicodeSettingsDefinition.RENDER_ENUM valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<RenderUnicodeSettingsDefinition.RENDER_ENUM>`